#version unofficial MegaPOV 0.7;

//Lathe Dimensions
#ifndef(Lathe_Points)
#declare Lathe_Points = 7;
#end
#ifndef(Lathe_Point_1)
#declare Lathe_Point_1 = <0,0>;
#end
#ifndef(Lathe_Point_2)
#declare Lathe_Point_2 = <1,1>;
#end
#ifndef(Lathe_Point_3)
#declare Lathe_Point_3 = <1.5,2>;
#end
#ifndef(Lathe_Point_4)
#declare Lathe_Point_4 = <2,4>;
#end
#ifndef(Lathe_Point_5)
#declare Lathe_Point_5 = <.5,5>;
#end
#ifndef(Lathe_Point_6)
#declare Lathe_Point_6 = <1,7>;
#end
#ifndef(Lathe_Point_7)
#declare Lathe_Point_7 =<0,8>;
#end

//Lathe Declares
#ifndef(Lathe_Color)
#declare Lathe_Color = Red;
#end
#ifndef(Lathe_Translate)
#declare Lathe_Translate = <0,0,0>;
#end
#ifndef(Lathe_Texture)
#declare Lathe_Texture = 
texture {Red_Marble}
#end
#ifndef(Lathe_Rotate_X)
#declare Lathe_Rotate_X=0
#end
#ifndef(Lathe_Rotate_Y)
#declare Lathe_Rotate_Y=0
#end
#ifndef(Lathe_Rotate_Z)
#declare Lathe_Rotate_Z=0
#end
#ifndef(Lathe_Scale_X)
#declare Lathe_Scale_X=1;
#end
#ifndef(Lathe_Scale_Y)
#declare Lathe_Scale_Y=1;
#end
#ifndef(Lathe_Scale_Z)
#declare Lathe_Scale_Z=1;
#end
#ifndef(Lathe_Scale)
#declare Lathe_Scale = 1; 
#end

//Render Lathe
#if(View=5)
lathe {
Lathe_Points
#switch(Lathe_Points)
#case(1)
Lathe_Point_1,
#break
#case(2)
Lathe_Point_1,
Lathe_Point_2
#break
#case(3)
Lathe_Point_1,
Lathe_Point_2,
Lathe_Point_3
#break
#case(4)
Lathe_Point_1,
Lathe_Point_2,
Lathe_Point_3,
Lathe_Point_4
#break
#case(5)
Lathe_Point_1,
Lathe_Point_2,
Lathe_Point_3,
Lathe_Point_4,
Lathe_Point_5
#break
#case(6)
Lathe_Point_1,
Lathe_Point_2,
Lathe_Point_3,
Lathe_Point_4,
Lathe_Point_5,
Lathe_Point_6
#break
#case(7)
Lathe_Point_1,
Lathe_Point_2,
Lathe_Point_3,
Lathe_Point_4,
Lathe_Point_5,
Lathe_Point_6,
Lathe_Point_7
#end
texture {Lathe_Texture}
scale <Lathe_Scale,Lathe_Scale,Lathe_Scale>
scale <Lathe_Scale_X,1,1>
scale <1,Lathe_Scale_Y,1>
scale <1,1,Lathe_Scale_Z>
rotate x*Lathe_Rotate_X
rotate y*Lathe_Rotate_Y
rotate z*Lathe_Rotate_Z
translate Lathe_Translate}

//Wireframe Lathe
#else
union {
#declare Count=0;
#while(Count<8)
sphere_sweep {
linear_sphere_sweep
Lathe_Points,
#switch(Lathe_Points)
#case(1)
Lathe_Point_1,.03
#break
#case(2)
Lathe_Point_1,.03
Lathe_Point_2.03
#break
#case(3)
Lathe_Point_1,.03
Lathe_Point_2,.03
Lathe_Point_3,.03
#break
#case(4)
Lathe_Point_1,.03
Lathe_Point_2,.03
Lathe_Point_3,.03
Lathe_Point_4,.03
#break
#case(5)
Lathe_Point_1,.03
Lathe_Point_2,.03
Lathe_Point_3,.03
Lathe_Point_4,.03
Lathe_Point_5.03
#break
#case(6)
Lathe_Point_1,.03
Lathe_Point_2,.03
Lathe_Point_3,.03
Lathe_Point_4,.03
Lathe_Point_5,.03
Lathe_Point_6,.03
#break
#case(7)
Lathe_Point_1,.03
Lathe_Point_2,.03
Lathe_Point_3,.03
Lathe_Point_4,.03
Lathe_Point_5,.03
Lathe_Point_6,.03
Lathe_Point_7,.03
#end
rotate y*Count*45}
#declare Count=Count+1;
#end
pigment {Lathe_Color}
finish {Luminous}
no_shadow
scale <Lathe_Scale,Lathe_Scale,Lathe_Scale>
scale <Lathe_Scale_X,1,1>
scale <1,Lathe_Scale_Y,1>
scale <1,1,Lathe_Scale_Z>
rotate x*Lathe_Rotate_X
rotate y*Lathe_Rotate_Y
rotate z*Lathe_Rotate_Z
translate Lathe_Translate}
#end



