#version unofficial MegaPOV 0.7;

//Plane Dimensions
#ifndef(Plane_Axis)
#declare Plane_Axis = 1; //1=y;2=z;3=x
#end
#ifndef(Plane_Position)
#declare Plane_Position = 0;
#end

//Plane Declares
#ifndef(Plane_Color)
#declare Plane_Color = Copper;
#end
#ifndef(Plane_Texture)
#declare Plane_Texture = 
texture {Blue_Sky}
#end
#ifndef(Plane_Rotate_X)
#declare Plane_Rotate_X=0;
#end
#ifndef(Plane_Rotate_Y)
#declare Plane_Rotate_Y=0;
#end
#ifndef(Plane_Rotate_Z)
#declare Plane_Rotate_Z=0;
#end

//Plane Construction
#declare Wire_Plane = union {
#declare Count = 0;
#while(Count<15)
torus{Count,.025
pigment {Blue}
finish {Luminous}
no_shadow}
#declare Count=Count+1;
#end}

//Render Plane
#if(View=5)
#switch(Plane_Axis)
#case(1)
plane {y,Plane_Position
#break
#case(2)
plane {z,Plane_Position
#break
#case(3)
plane {x,Plane_Position
#end
texture {Plane_Texture}
rotate x*Plane_Rotate_X
rotate y*Plane_Rotate_Y
rotate z*Plane_Rotate_Z}

//Wireframe Plane
#else
#switch(Plane_Axis)
#case(1)
object {Wire_Plane
translate y*Plane_Position
#break
#case(2)
object {Wire_Plane rotate x*-90
translate z*Plane_Position
#break
#case(3)
object {Wire_Plane rotate z*90
translate X*Plane_Position
#end
rotate x*Plane_Rotate_X
rotate y*Plane_Rotate_Y
rotate z*Plane_Rotate_Z}
#end



