#version unofficial MegaPOV 0.7;

//Torus Dimensions
#ifndef(Torus_Major_Radius)
#declare Torus_Major_Radius = 1;
#end
#ifndef(Torus_Minor_Radius)
#declare Torus_Minor_Radius = .2;
#end

//Torus Declares
#ifndef(Torus_Color)
#declare Torus_Color = Gray70;
#end
#ifndef(Torus_Translate)
#declare Torus_Translate = <0,0,0>;
#end
#ifndef(Torus_Texture)
#declare Torus_Texture = 
texture {Glass3}
#end
#ifndef(Torus_Rotate_X)
#declare Torus_Rotate_X=0;
#end
#ifndef(Torus_Rotate_Y)
#declare Torus_Rotate_Y=0;
#end
#ifndef(Torus_Rotate_Z)
#declare Torus_Rotate_Z=0;
#end
#ifndef(Torus_Scale_X)
#declare Torus_Scale_X=1;
#end
#ifndef(Torus_Scale_Y)
#declare Torus_Scale_Y=1;
#end
#ifndef(Torus_Scale_Z)
#declare Torus_Scale_Z=1;
#end
#ifndef(Torus_Scale)
#declare Torus_Scale = 1; 
#end

//Torus Construction
#declare Torus_Rings = union {
#declare Count = 0;
#while (Count<8)
torus {Torus_Minor_Radius,.015*Torus_Major_Radius
pigment {Torus_Color}
finish {Luminous}
no_shadow
rotate x*-90
translate x*Torus_Major_Radius
rotate y*Count*45}
#declare Count = Count+1;
#end}
#declare Torus_Braces = 
union {
torus {Torus_Major_Radius-Torus_Minor_Radius,.015*Torus_Major_Radius}
torus {Torus_Major_Radius+Torus_Minor_Radius,.015*Torus_Major_Radius}
torus {Torus_Major_Radius,.015*Torus_Major_Radius translate y*Torus_Minor_Radius}
torus {Torus_Major_Radius,.015*Torus_Major_Radius translate -y*Torus_Minor_Radius}
pigment {Torus_Color}
finish {Luminous}
no_shadow }

//Render Torus
#if(View=5)
torus {Torus_Major_Radius,Torus_Minor_Radius
texture {Torus_Texture}
scale <Torus_Scale,Torus_Scale,Torus_Scale>
scale <Torus_Scale_X,1,1>
scale <1,Torus_Scale_Y,1>
scale <1,1,Torus_Scale_Z>
rotate x*Torus_Rotate_X
rotate y*Torus_Rotate_Y
rotate z*Torus_Rotate_Z
translate Torus_Translate}

//Wireframe Torus
#else
union {
object {Torus_Rings}
object {Torus_Braces}
scale <Torus_Scale,Torus_Scale,Torus_Scale>
scale <Torus_Scale_X,1,1>
scale <1,Torus_Scale_Y,1>
scale <1,1,Torus_Scale_Z>
rotate x*Torus_Rotate_X
rotate y*Torus_Rotate_Y
rotate z*Torus_Rotate_Z
translate Torus_Translate}
#end
